<nav aria-label="Page navigation example">
    <ul class="pagination justify-content-center">
        {%  if(paginationVariables.previous is defined) %}
            <li class="page-item ">
                <a class="page-link prev" href="{{  pimcore_url({'page': paginationVariables.previous }) }}" aria-label="Previous">
                    <span class="flip" aria-hidden="true">Prev</span>
                </a>
            </li>
            {% else %}
                <li class="page-item">
                    <a class="page-link next" aria-label="Next">
                        <span class="flip" aria-hidden="true">Prev</span>
                    </a>
                </li>
        {%  endif %}


        {% if paginationVariables.pageCount != 0 %}
            {%  for page in paginationVariables.pagesInRange %}


                {%  if(paginationVariables.current == page) %}

                    <li class="page-item active" aria-current="page">
                                    <a class="page-link">
                                        {{  page }}
                                        <span class="sr-only">(current)</span>
                                    </a>
                    </li>

                {%  else %}
                    <li class="page-item"><a class="page-link" href="{{  pimcore_url({'page': page}) }}">{{ page }}</a></li> 
                {%  endif %}

            {% endfor %}
        {% else %}
            <h3>{{'No-data-available!' |trans}}</h3>
        {% endif %}

        {%  if(paginationVariables.next is defined) %}
            <li class="page-item">
                <a class="page-link next" href="{{  pimcore_url({'page': paginationVariables.next}) }}" aria-label="Next">
                    <span class="flip" aria-hidden="true">Next</span>
                </a>
            </li>
            {% else %}
            <li class="page-item">
                <a class="page-link next" aria-label="Next">
                    <span class="flip" aria-hidden="true">Next</span>
                </a>
            </li>
        {%  endif %}
    </ul>
</nav>